View Issue Details

IDProjectCategoryView StatusLast Update
0000946CaseTalk ModelerModel Validationpublic2016-07-14 09:13
ReporterBCP Software 
Assigned ToBCP Software 
PrioritynormalSeverityfeatureReproducibilitysometimes
Status closedResolutionfixed 
Product Version 
Target Version8.11.1Fixed in Version8.11.1 
Summary0000946: Direction for grouping ambigious
DescriptionBinary facts with a small UC on both roles, may group to either direction. The alphabetical order in which otft's are grouped dictates the primary order. This is wrong, and the user should be notified to specify which role should (not) be grouped, to clearly specify the order of grouping.
Additional InformationA well formednes rule should be added
TagsNo tags attached.

Relationships

Activities

BCP Software

BCP Software

2016-04-14 10:50

administrator  

WhyGroupRole14After13.png (23,399 bytes)
WhyGroupRole14After13.png (23,399 bytes)
BCP Software

BCP Software

2016-04-14 10:51

administrator   ~0000550

The screen print shows both role 13 and 14 as being groupable. The user should be notified to specify which "not" to group to determine the order.
BCP Software

BCP Software

2016-06-03 18:08

administrator   ~0000592

CaseTalk should consider a model warning rule (not an error) and when transformation (G), it should simply prevent these roles to be grouped in any direction.
BCP Software

BCP Software

2016-07-07 09:03

administrator  

BCP Software

BCP Software

2016-07-07 09:11

administrator   ~0000612

A new well rule is added to check for binary fact types with ambiguous grouping proposals.

Issue History

Date Modified Username Field Change
2016-04-14 10:49 BCP Software New Issue
2016-04-14 10:49 BCP Software Status new => assigned
2016-04-14 10:49 BCP Software Assigned To => BCP Software
2016-04-14 10:50 BCP Software File Added: WhyGroupRole14After13.png
2016-04-14 10:51 BCP Software Note Added: 0000550
2016-06-03 18:08 BCP Software Note Added: 0000592
2016-07-07 09:03 BCP Software File Added: binaryfacttypegrouping.png
2016-07-07 09:11 BCP Software Note Added: 0000612
2016-07-07 09:11 BCP Software Status assigned => resolved
2016-07-07 09:11 BCP Software Fixed in Version => 8.11.1
2016-07-07 09:11 BCP Software Resolution open => fixed
2016-07-07 09:11 BCP Software Severity tweak => feature
2016-07-13 09:30 BCP Software Status resolved => assigned
2016-07-13 09:32 BCP Software Target Version Future => 8.11.1
2016-07-13 14:35 BCP Software Status assigned => resolved
2016-07-14 09:13 BCP Software Status resolved => closed